> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> Use this endpoint to list all users registered in the system.



## OpenAPI

````yaml /en/openapi/v3-current/AM-identity.yaml get /v1/users
openapi: 3.1.0
info:
  title: Identity Plugin
  description: ''
  version: 2.4.2
servers:
  - url: https://identity.sandbox.lerian.net
security: []
tags:
  - name: Groups API
  - name: Applications API
  - name: Users API
  - name: MFA API
  - name: Providers API
  - name: Application Providers API
paths:
  /v1/users:
    get:
      tags:
        - Users API
      summary: List Users
      description: Use this endpoint to list all users registered in the system.
      parameters: []
      responses:
        '200':
          description: The list of all users registered in the system.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserResponse'
              example:
                - email: john@example.com
                  firstName: John
                  groups:
                    - admin-group
                    - midaz-viewer-group
                    - midaz-contributor-group
                  id: 019c96a0-0c21-71f9-a487-66a1258278a1
                  lastName: Doe
                  username: johndoe
                - email: janedoe@example.com
                  firstName: Jane
                  groups:
                    - midaz-viewer-group
                  id: 019c96a0-6c20-7bcd-e1f2-5d6e7f8a9b0c
                  lastName: Doe
                  username: janedoe
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
              examples:
                Error1004:
                  $ref: '#/components/examples/Error1004'
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
              examples:
                Error0006:
                  $ref: '#/components/examples/Error0006'
          headers: {}
      security:
        - bearer: []
components:
  schemas:
    UserResponse:
      description: The identity details for a user, including basic info and groups.
      type: object
      properties:
        email:
          type: string
          description: User’s email address.
        firstName:
          type: string
          description: User’s first name.
        groups:
          type: array
          items:
            type: string
          description: List of groups the user belongs to.
        id:
          type: string
          description: Unique identifier of the user.
        lastName:
          type: string
          description: User’s last name.
        username:
          type: string
          description: Unique username.
    ErrorMessage:
      description: The response message error.
      type: object
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
  examples:
    Error1004:
      summary: No Users Found
      value:
        code: IDE-1004
        title: No Users Found
        message: No users were found in the search.
    Error0006:
      summary: Internal Server Error
      value:
        code: IDE-0006
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: The authorization token in the 'Bearer <token>' format.

````